# Class AwtTreePath

java.lang.Object
javax.swing.tree.TreePath
jspecview.application.AwtTreePath

All Implemented Interfaces:
  `Serializable, JSVTreePath`

public class AwtTreePath extends TreePath implements JSVTreePath

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`AwtTreePath(Object[] path)`

## Method Summary

### Methods inherited from class TreePath

`equals, getLastPathComponent, getParentPath, getPath, getPathComponent, getPathCount, hashCode, isDescendant, pathByAddingChild, toString`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface JSVTreePath

`getLastPathComponent`

## Constructor Details

### AwtTreePath

public AwtTreePath(Object[] path)